org.jbpm.marshalling.impl

## Class JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode.Builder>
      - - org.jbpm.marshalling.impl.JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNodeOrBuilder
  Enclosing class:
    JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode

      public static final class JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode.Builder>
      implements JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNodeOrBuilder

  Protobuf type `org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.WorkItemNode`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode.Builder` | `addAllTimerInstanceId(Iterable<? extends Long> values)` `repeated int64 timer_instance_id = 2;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode.Builder` | `addTimerInstanceId(long value)` `repeated int64 timer_instance_id = 2;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode` | `build()`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode` | `buildPartial()`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode.Builder` | `clear()`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode.Builder` | `clearErrorHandlingProcessInstanceId()` `optional int64 error_handling_process_instance_id = 3;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode.Builder` | `clearTimerInstanceId()` `repeated int64 timer_instance_id = 2;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode.Builder` | `clearWorkItemId()` `optional int64 work_item_id = 1;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode.Builder` | `clone()`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `long` | `getErrorHandlingProcessInstanceId()` `optional int64 error_handling_process_instance_id = 3;`
    `long` | `getTimerInstanceId(int index)` `repeated int64 timer_instance_id = 2;`
    `int` | `getTimerInstanceIdCount()` `repeated int64 timer_instance_id = 2;`
    `List<Long>` | `getTimerInstanceIdList()` `repeated int64 timer_instance_id = 2;`
    `long` | `getWorkItemId()` `optional int64 work_item_id = 1;`
    `boolean` | `hasErrorHandlingProcessInstanceId()` `optional int64 error_handling_process_instance_id = 3;`
    `boolean` | `hasWorkItemId()` `optional int64 work_item_id = 1;`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode.Builder` | `mergeFrom(JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode other)`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode.Builder` | `setErrorHandlingProcessInstanceId(long value)` `optional int64 error_handling_process_instance_id = 3;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode.Builder` | `setTimerInstanceId(int index, long value)` `repeated int64 timer_instance_id = 2;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode.Builder` | `setWorkItemId(long value)` `optional int64 work_item_id = 1;`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, clearOneof, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, addAll, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

    - ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

      `mergeFrom`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode.Builder>`

    - #### clear

          public JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode.Builder>`

    - #### clone

          public JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode.Builder>`

    - #### getDefaultInstanceForType

          public JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode.Builder>`

    - #### mergeFrom

          public JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode.Builder mergeFrom(JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode.Builder>`

    - #### mergeFrom

          public JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                                                                 com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                          throws IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode.Builder>`
      Throws:
        `IOException`

    - #### hasWorkItemId

          public boolean hasWorkItemId()

      `optional int64 work_item_id = 1;`
      Specified by:
        `hasWorkItemId` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNodeOrBuilder`

    - #### getWorkItemId

          public long getWorkItemId()

      `optional int64 work_item_id = 1;`
      Specified by:
        `getWorkItemId` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNodeOrBuilder`

    - #### setWorkItemId

          public JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode.Builder setWorkItemId(long value)

      `optional int64 work_item_id = 1;`

    - #### clearWorkItemId

          public JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode.Builder clearWorkItemId()

      `optional int64 work_item_id = 1;`

    - #### getTimerInstanceIdList

          public List<Long> getTimerInstanceIdList()

      `repeated int64 timer_instance_id = 2;`
      Specified by:
        `getTimerInstanceIdList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNodeOrBuilder`

    - #### getTimerInstanceIdCount

          public int getTimerInstanceIdCount()

      `repeated int64 timer_instance_id = 2;`
      Specified by:
        `getTimerInstanceIdCount` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNodeOrBuilder`

    - #### getTimerInstanceId

          public long getTimerInstanceId(int index)

      `repeated int64 timer_instance_id = 2;`
      Specified by:
        `getTimerInstanceId` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNodeOrBuilder`

    - #### setTimerInstanceId

          public JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode.Builder setTimerInstanceId(int index,
                                                                                                          long value)

      `repeated int64 timer_instance_id = 2;`

    - #### addTimerInstanceId

          public JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode.Builder addTimerInstanceId(long value)

      `repeated int64 timer_instance_id = 2;`

    - #### addAllTimerInstanceId

          public JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode.Builder addAllTimerInstanceId(Iterable<? extends Long> values)

      `repeated int64 timer_instance_id = 2;`

    - #### clearTimerInstanceId

          public JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode.Builder clearTimerInstanceId()

      `repeated int64 timer_instance_id = 2;`

    - #### hasErrorHandlingProcessInstanceId

          public boolean hasErrorHandlingProcessInstanceId()

      `optional int64 error_handling_process_instance_id = 3;`
      Specified by:
        `hasErrorHandlingProcessInstanceId` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNodeOrBuilder`

    - #### getErrorHandlingProcessInstanceId

          public long getErrorHandlingProcessInstanceId()

      `optional int64 error_handling_process_instance_id = 3;`
      Specified by:
        `getErrorHandlingProcessInstanceId` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNodeOrBuilder`

    - #### setErrorHandlingProcessInstanceId

          public JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode.Builder setErrorHandlingProcessInstanceId(long value)

      `optional int64 error_handling_process_instance_id = 3;`

    - #### clearErrorHandlingProcessInstanceId

          public JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode.Builder clearErrorHandlingProcessInstanceId()

      `optional int64 error_handling_process_instance_id = 3;`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.